<?php

namespace CustomerManagement\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for SendEnterpriseNotice StructType
 * @subpackage Structs
 */
class SendEnterpriseNotice extends AbstractStructBase
{
    /**
     * The customerId
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var int
     */
    public $customerId;
    /**
     * The messageId
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var int
     */
    public $messageId;
    /**
     * The messageParameters
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \CustomerManagement\ArrayType\ArrayOfString
     */
    public $messageParameters;
    /**
     * Constructor method for SendEnterpriseNotice
     * @uses SendEnterpriseNotice::setCustomerId()
     * @uses SendEnterpriseNotice::setMessageId()
     * @uses SendEnterpriseNotice::setMessageParameters()
     * @param int $customerId
     * @param int $messageId
     * @param \CustomerManagement\ArrayType\ArrayOfString $messageParameters
     */
    public function __construct($customerId = null, $messageId = null, \CustomerManagement\ArrayType\ArrayOfString $messageParameters = null)
    {
        $this
            ->setCustomerId($customerId)
            ->setMessageId($messageId)
            ->setMessageParameters($messageParameters);
    }
    /**
     * Get customerId value
     * @return int
     */
    public function getCustomerId()
    {
        return $this->customerId;
    }
    /**
     * Set customerId value
     * @param int $customerId
     * @return \CustomerManagement\StructType\SendEnterpriseNotice
     */
    public function setCustomerId($customerId = null)
    {
        // validation for constraint: int
        if (!is_null($customerId) && !(is_int($customerId) || ctype_digit($customerId))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($customerId, true), gettype($customerId)), __LINE__);
        }
        $this->customerId = $customerId;
        return $this;
    }
    /**
     * Get messageId value
     * @return int
     */
    public function getMessageId()
    {
        return $this->messageId;
    }
    /**
     * Set messageId value
     * @param int $messageId
     * @return \CustomerManagement\StructType\SendEnterpriseNotice
     */
    public function setMessageId($messageId = null)
    {
        // validation for constraint: int
        if (!is_null($messageId) && !(is_int($messageId) || ctype_digit($messageId))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($messageId, true), gettype($messageId)), __LINE__);
        }
        $this->messageId = $messageId;
        return $this;
    }
    /**
     * Get messageParameters value
     * @return \CustomerManagement\ArrayType\ArrayOfString|null
     */
    public function getMessageParameters()
    {
        return $this->messageParameters;
    }
    /**
     * Set messageParameters value
     * @param \CustomerManagement\ArrayType\ArrayOfString $messageParameters
     * @return \CustomerManagement\StructType\SendEnterpriseNotice
     */
    public function setMessageParameters(\CustomerManagement\ArrayType\ArrayOfString $messageParameters = null)
    {
        $this->messageParameters = $messageParameters;
        return $this;
    }
}
